SaqSaq Docs

List report job status

GET
/user/report/{id}

Authorization

BearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string
Formatuuid

Header Parameters

Content-Type*string

Obrigatório em toda chamada Saq.

Default"application/json"
Value in"application/json"

Response Body

application/json

application/json

curl -X GET "https://api.saq.processamento.com/v1/user/report/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json"
{
  "id": "5224fd4e-0abb-4498-a79b-9398ea6712ad",
  "status": "COMPLETED",
  "createdAt": "2026-05-06T16:39:52.944Z",
  "updatedAt": "2026-05-06T16:39:53.500Z",
  "expiresAt": "2026-05-13T16:39:52.996Z"
}
{
  "statusCode": 404,
  "error": "Not Found",
  "message": "Resource not found",
  "requestId": "cmou00000abcdef01s6ghij1k2lm"
}